usb_cdcacm.h File Reference

library for USB CDC ACM communication (API) More...

Go to the source code of this file.

## Functions

void | usb_cdcacm_setup (void)
| setup USB CDC ACM peripheral
void | usb_cdcacm_putchar (char c)
| send character over USB (non-blocking) More...

## Variables

volatile bool | usb_cdcacm_connecting
| flag set to true when user is connected to USB CDC ACM port (e.g. More...

## Detailed Description

library for USB CDC ACM communication (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2016

Definition in file usb_cdcacm.h.

## Function Documentation

## usb_cdcacm_putchar()

void usb_cdcacm_putchar | ( | char | c | ) |

send character over USB (non-blocking)

Parameters

  [in] | c | character to send

Note
  blocks if transmit buffer is full, else puts in buffer and returns

Definition at line 462 of file usb_cdcacm.c.

## Variable Documentation

## usb_cdcacm_connecting

volatile bool usb_cdcacm_connecting

flag set to true when user is connected to USB CDC ACM port (e.g.

when a terminal is opened)

Definition at line 44 of file usb_cdcacm.c.